<template>
  <!-- {{chils}} -->
  <template v-for="val in chils">
    <el-sub-menu :index="val.path" :key="val.path" v-if="val.children && val.children.length > 0">
      <template #title>
        <SvgIcon :name="val.meta.icon"></SvgIcon>
        <span>{{ $t(val.meta.title) }}</span>
      </template>
      <!-- 三级菜单 -->
      <sub-Item :chil="val.children"></sub-Item>
    </el-sub-menu>
    <template v-else>
      <el-menu-item :index="val.path" :key="val.path">
        <template v-if="!val.meta.isLink || (val.meta.isLink && val.meta.isIframe)">
          <SvgIcon :name="val.meta.icon"></SvgIcon>
          <span>{{ $t(val.meta.title) }}</span>
        </template>
        <template v-else>
          <a :href="val.meta.isLink" target="_blank" rel="opener" class="w100">
            <SvgIcon :name="val.meta.icon"></SvgIcon>
            {{ $t(val.meta.title) }}
          </a>
        </template>
      </el-menu-item>
    </template>
  </template>
</template>

<script setup lang="ts" name="navMenuSubItem">
import { computed } from 'vue'
import SvgIcon from '/@/components/svgIcon/index.vue';
const props = defineProps({
  chil: {
    type: Array,
    default: () => []
  }
})
console.log(props.chil)
const chils = computed(() => {
  return props.chil as any
})
// const chils=props.chil
</script>
<style lang='scss' scoped></style>